package xyz.wbsite.dbtool.javafx.ctrl;

import javafx.fxml.FXML;
import javafx.scene.control.CheckBox;
import javafx.scene.control.TextField;

public class DetailTableController {

    @FXML
    private TextField tablename;
    @FXML
    private TextField tablecomment;

    @FXML
    private CheckBox create;
    @FXML
    private CheckBox delete;
    @FXML
    private CheckBox update;
    @FXML
    private CheckBox find;
    @FXML
    private CheckBox get;
    @FXML
    private CheckBox search;
    @FXML
    private CheckBox html;
    @FXML
    private CheckBox sys;

    public CheckBox getCreate() {
        return create;
    }

    public void setCreate(CheckBox create) {
        this.create = create;
    }

    public CheckBox getDelete() {
        return delete;
    }

    public void setDelete(CheckBox delete) {
        this.delete = delete;
    }

    public CheckBox getUpdate() {
        return update;
    }

    public void setUpdate(CheckBox update) {
        this.update = update;
    }

    public CheckBox getFind() {
        return find;
    }

    public void setFind(CheckBox find) {
        this.find = find;
    }

    public CheckBox getGet() {
        return get;
    }

    public void setGet(CheckBox get) {
        this.get = get;
    }

    public CheckBox getSearch() {
        return search;
    }

    public void setSearch(CheckBox search) {
        this.search = search;
    }

    public TextField getTablename() {
        return tablename;
    }

    public void setTablename(TextField tablename) {
        this.tablename = tablename;
    }

    public TextField getTablecomment() {
        return tablecomment;
    }

    public void setTablecomment(TextField tablecomment) {
        this.tablecomment = tablecomment;
    }

    public CheckBox getHtml() {
        return html;
    }

    public void setHtml(CheckBox html) {
        this.html = html;
    }

    public CheckBox getSys() {
        return sys;
    }

    public void setSys(CheckBox sys) {
        this.sys = sys;
    }
}
